### Hierarchy

- NodeIterator

## Index

### Properties

- filter
- pointerBeforeReferenceNode
- referenceNode
- root
- whatToShow

### Methods

- detach
- nextNode
- previousNode

## Properties

### filter

filter: NodeFilter | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10551

### pointerBeforeReferenceNode

pointerBeforeReferenceNode: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10552

### referenceNode

referenceNode: Node

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10553

### root

root: Node

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10554

### whatToShow

whatToShow: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10555

## Methods

### detach

- detach(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10556

  #### Returns void

### nextNode

- nextNode(): Node | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10557

  #### Returns Node | null

### previousNode

- previousNode(): Node | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10558

  #### Returns Node | null

Generated using TypeDoc